<p class="title">
	Assessment Maintenance > Add a new Requirement Category > <i>Edit</i>
</p>

<form name="editForm" id="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <div class="card" *ngIf="requirementCategory">
    <div class="card-header title">Edit a Requirement Category</div>
    <div class="card-block">
        <div class="form-group row">
            <label class="col-sm-2 form-control-label heading" jhiTranslate="pcidssApp.requirementCategory.categoryName" for="field_categoryName">Requirement Category</label>
            <div class="col-sm-10">
            	<textarea class="form-control" name="categoryName" id="categoryName" [(ngModel)]="requirementCategory.categoryName" required minlength="5" maxlength="100" pattern="^[a-zA-Z0-9,.!? ]*$" #categoryName="ngModel">
                </textarea>
                <div *ngIf="categoryName.errors && (categoryName.dirty || categoryName.touched)" class="alert alertError">
            	<div [hidden]="!categoryName.errors.required">
            		Category Name is required
            	</div>
            	<div [hidden]="!categoryName.errors.minlength">Requirement Category must be at least 5 characters long</div>
            	<div [hidden]="!categoryName.errors.maxlength">Requirement Category cannot be at more than 100 characters long</div>
            	<div [hidden]="!categoryName.errors.pattern">Invalid character</div>
            </div>
            </div>
        </div>
    </div>
    <div class="row-md action-div">
			<button type="submit" (click)="previousState()" class="btn action-btn-with-text cancel">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="button" [disabled]="requirementCategory.isRequirementExist"
				(click)="deleteExpectedTest(requirementCategory.id)" class="btn btn-danger action-btn-with-text">
				<span class="fa fa-trash"></span>&nbsp;<span> Delete</span>
			</button>
			<button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn action-btn-with-text edit">
            <span class="fa fa-save"></span>&nbsp;<span>Save</span>
        </button>
		</div>
		</div>
    
</form> 
